View Issue Details

IDProjectCategoryView StatusLast Update
0018932LazarusLCLpublic2011-12-01 11:26
ReporterMaciej KaczkowskiAssigned ToPaul Ishenin 
PrioritynormalSeverityminorReproducibilityN/A
Status closedResolutionfixed 
PlatformMicrosoft WindowsOSWindows XPOS Version5.1
Product Version0.9.31 (SVN)Product Build29863 
Target VersionFixed in Version0.9.31 (SVN) 
Summary0018932: Missing DesktopFont property in TControl
Descriptionmissing protected property that allow to use default desktop font
Steps To Reproducetype
  TMyLabel = class(TLabel)
  published
    property DesktopFont;
  end;

procedure TForm1.Button1Click(Sender: TObject);
var
  x: TMyLabel;
begin
  x := TMyLabel.Create(nil);
  x.Parent := Self;
  x.Caption := 'asd asdsad';
  x.Font.Style := x.Font.Style + [fsBold];
  x.Font.Name := 'Courier New';
  x.DesktopFont := True; // should restore desktop font
end;
TagsNo tags attached.
Fixed in Revision29879
LazTarget-
Widgetset
Attached Files

Activities

Paul Ishenin

2011-03-17 03:32

manager   ~0046644

Please test and close if ok.

Issue History

Date Modified Username Field Change
2011-03-16 20:36 Maciej Kaczkowski New Issue
2011-03-17 03:32 Paul Ishenin Fixed in Revision => 29879
2011-03-17 03:32 Paul Ishenin LazTarget => -
2011-03-17 03:32 Paul Ishenin Status new => resolved
2011-03-17 03:32 Paul Ishenin Fixed in Version => 0.9.31 (SVN)
2011-03-17 03:32 Paul Ishenin Resolution open => fixed
2011-03-17 03:32 Paul Ishenin Assigned To => Paul Ishenin
2011-03-17 03:32 Paul Ishenin Note Added: 0046644
2011-12-01 11:26 Marc Weustink Status resolved => closed